<template>
  <div class="v-main-wrapper">
    <p>{{ title }}</p>
    <v-catalog />
    <v-card />
  </div>
</template>
<script>
import vCatalog from './v-catalog';
import vCard from './v-cart';


export default {
  name: "v-main-wrapper",
  components: {
    vCatalog,
    vCard
  }, //дети
  props: {}, // не персанальные данные компонента
  data() {
    //персанальные данные компонента
    return {
      title: "Main wrapper",
    };
  },
  computed: {}, //вычислительные свойства компонента
  methods: {}, //клики,скрытие показ элементов
  watch: {}, //следить за изменением чеголиба
  mounted() {
    //отрабатывает когда компонент загрузится,хуки жизненного цикла
    console.log("hello wowowow");
  },
};
</script>
<style>
.v-main-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  max-width: 900px;
  margin: 0 auto;
}
</style>